<template>
  <FullCalendar :options="options" />
</template>

<script setup>
  import "@fullcalendar/core/vdom";
  import {
    computed
  } from "vue";
  import dayGridPlugin from "@fullcalendar/daygrid";
  import axios from "axios"

  const props = defineProps({
    data: {
      type: Object,
      default: 0,
    },
  });

  const options = computed(() => {
    return {
      plugins: [dayGridPlugin],
      droppable: false,
      headerToolbar: {
        right: "title",
        left: "prev,next",
      },
      events: async function (info, successCallback, failureCallback) {
        await axios.get("http://localhost:3030/v1/dashboard/calendar",{
          params: {
            calendar: "month",
            startDate: info.startStr,
            endDate: info.endStr,
          },
        }).then(res => {
          const data = res.data.data ? res.data.data : []
          successCallback(data)
        }).catch(err => {
          console.log(err)
          failureCallback(err)
        })
        // await axios.get("http://10.175.11.75:82/v1/dashboard/calendar",{
        //   params: {
        //     calendar: "month",
        //     startDate: info.startStr,
        //     endDate: info.endStr,
        //   },
        // }).then(res => {
        //   const data = res.data.data ? res.data.data : []
        //   successCallback(data)
        // }).catch(err => {
        //   console.log(err)
        //   failureCallback(err)
        // })
      },
      // initialDate: "202-01-12",
      navLinks: false,
      editable: false,
      dayMaxEvents: false,
    }
  });
</script>